summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2013-01-27 16:40:15 +0000
committerMichał Górny <mgorny@gentoo.org>2013-01-27 16:40:15 +0000
commitb7397060da4d8898cef7dcc3d3e4d5f6a3c1fc3d (patch)
tree212fb5a5ede473b8e4826cd262be357f261d9182 /eclass
parentSupport using distutils-r1 along with python-single-r1. (diff)
downloadgentoo-2-b7397060da4d8898cef7dcc3d3e4d5f6a3c1fc3d.tar.gz
gentoo-2-b7397060da4d8898cef7dcc3d3e4d5f6a3c1fc3d.tar.bz2
gentoo-2-b7397060da4d8898cef7dcc3d3e4d5f6a3c1fc3d.zip
Fix output redirections in run_in_build_dir().
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog5
-rw-r--r--eclass/python-r1.eclass6
2 files changed, 7 insertions, 4 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index a14d9b58c65b..0425a287a1a2 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for eclass directory
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.650 2013/01/27 16:39:23 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.651 2013/01/27 16:40:14 mgorny Exp $
+
+ 27 Jan 2013; Michał Górny <mgorny@gentoo.org> python-r1.eclass:
+ Fix output redirections in run_in_build_dir().
27 Jan 2013; Michał Górny <mgorny@gentoo.org> distutils-r1.eclass:
Support using distutils-r1 along with python-single-r1.
diff --git a/eclass/python-r1.eclass b/eclass/python-r1.eclass
index f02244bd1dce..2dec145959a8 100644
--- a/eclass/python-r1.eclass
+++ b/eclass/python-r1.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/python-r1.eclass,v 1.38 2013/01/27 16:36:21 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/python-r1.eclass,v 1.39 2013/01/27 16:40:15 mgorny Exp $
# @ECLASS: python-r1
# @MAINTAINER:
@@ -692,10 +692,10 @@ run_in_build_dir() {
[[ ${#} -ne 0 ]] || die "${FUNCNAME}: no command specified."
[[ ${BUILD_DIR} ]] || die "${FUNCNAME}: BUILD_DIR not set."
- pushd "${BUILD_DIR}" &>/dev/null || die
+ pushd "${BUILD_DIR}" >/dev/null || die
"${@}"
ret=${?}
- popd &>/dev/null || die
+ popd >/dev/null || die
return ${ret}
}